package com.dev.swms.server.model.interfaces;

import java.util.Date;

import com.dev.energy.server.model.Entity;

/**
 *下载接口
 * @author 44700
 *
 */
public class InterfaceWmsDownload extends Entity{
	
	/**条码*/
	private String barCodeString1;
	
	/**初始条码*/
	private String barCodeString2;
	
	/**供应商条码 */
	private String barCodeString3;
	
	/**贴码单位*/
	private String costCenter;
	
	/**商品*/
	private String identifier2ndItem;
	
	/**计量单位 */
	private String unitOfMeasure;
	
	/**数量*/
	private String quantityTransaction;
	
	/**条码状态 
	private String BarcodeState;*/
	
	/**入库日期 */
	private String dateTransactionJulian;
	
	private String dateRequestedJulian;
	
	private String barcodeState;
	
	/**生产日期*/
	private String description001;
	
	/**保质期 */
	private String description01002;
	
	/**到期日期 */
	private String description01003;
	
	/**原产地 */
	private String description01004;
	
	/**存储条件*/
	private String description01005;
	
	/**条码*/
	private String description01006;
	
	/**备用字段 */
	private String description01007;
	
	/**备用字段 */
	private String description01008;
	
	/**备用字段 */
	private String description01009;
	
	/**备注 */
	private String nameRemark;
	
	/**备注 */
	private String everestEventPoint01;
	
	/**备注 */
	private String everestEventPoint02;
	
	/**备注 */
	private String everestEventPoint03;
	
	/**备注 */
	private String everestEventPoint04;
	
	/**备注 */
	private String everestEventPoint05;
	
	/**备注 */
	private String description11;
	
	/**备注 */
	private String description12;
	
	/**备注 */
	private String description13;
	
	/**备注 */
	private String description14;
	
	/**备注 */
	private String description15;
	
	/**操作终端  */
	private String programId;
	
	/**操作员姓名 */
	private String userId;
	
	/**程序号  */
	private String workStationId;
	
	/**最后更新日期 格式要求（YYYY/MM/DD）  */
	private String dateUpdated;
	
	/**最后更新时间 格式要求（HHmmss） */
	private String timeLastUpdated;
	
	/**异常描述*/
	private String exception_des;
	
	/**状态*/
	private String status;
	
	/**创建时间*/
	private Date createDate;
	
	
	
	
	
	

	

	

	public String getDateRequestedJulian() {
		return dateRequestedJulian;
	}

	public void setDateRequestedJulian(String dateRequestedJulian) {
		this.dateRequestedJulian = dateRequestedJulian;
	}

	public String getBarcodeState() {
		return barcodeState;
	}

	public void setBarcodeState(String barcodeState) {
		this.barcodeState = barcodeState;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getException_des() {
		return exception_des;
	}

	public void setException_des(String exception_des) {
		this.exception_des = exception_des;
	}

	public String getBarCodeString1() {
		return barCodeString1;
	}

	public void setBarCodeString1(String barCodeString1) {
		this.barCodeString1 = barCodeString1;
	}

	public String getBarCodeString2() {
		return barCodeString2;
	}

	public void setBarCodeString2(String barCodeString2) {
		this.barCodeString2 = barCodeString2;
	}

	public String getBarCodeString3() {
		return barCodeString3;
	}

	public void setBarCodeString3(String barCodeString3) {
		this.barCodeString3 = barCodeString3;
	}

	public String getCostCenter() {
		return costCenter;
	}

	public void setCostCenter(String costCenter) {
		this.costCenter = costCenter;
	}

	public String getIdentifier2ndItem() {
		return identifier2ndItem;
	}

	public void setIdentifier2ndItem(String identifier2ndItem) {
		this.identifier2ndItem = identifier2ndItem;
	}

	public String getUnitOfMeasure() {
		return unitOfMeasure;
	}

	public void setUnitOfMeasure(String unitOfMeasure) {
		this.unitOfMeasure = unitOfMeasure;
	}

	public String getQuantityTransaction() {
		return quantityTransaction;
	}

	public void setQuantityTransaction(String quantityTransaction) {
		this.quantityTransaction = quantityTransaction;
	}

	public String getDateTransactionJulian() {
		return dateTransactionJulian;
	}

	public void setDateTransactionJulian(String dateTransactionJulian) {
		this.dateTransactionJulian = dateTransactionJulian;
	}

	public String getDescription001() {
		return description001;
	}

	public void setDescription001(String description001) {
		this.description001 = description001;
	}

	public String getDescription01002() {
		return description01002;
	}

	public void setDescription01002(String description01002) {
		this.description01002 = description01002;
	}

	public String getDescription01003() {
		return description01003;
	}

	public void setDescription01003(String description01003) {
		this.description01003 = description01003;
	}

	public String getDescription01004() {
		return description01004;
	}

	public void setDescription01004(String description01004) {
		this.description01004 = description01004;
	}

	public String getDescription01005() {
		return description01005;
	}

	public void setDescription01005(String description01005) {
		this.description01005 = description01005;
	}

	public String getDescription01006() {
		return description01006;
	}

	public void setDescription01006(String description01006) {
		this.description01006 = description01006;
	}

	public String getDescription01007() {
		return description01007;
	}

	public void setDescription01007(String description01007) {
		this.description01007 = description01007;
	}

	public String getDescription01008() {
		return description01008;
	}

	public void setDescription01008(String description01008) {
		this.description01008 = description01008;
	}

	public String getDescription01009() {
		return description01009;
	}

	public void setDescription01009(String description01009) {
		this.description01009 = description01009;
	}

	public String getNameRemark() {
		return nameRemark;
	}

	public void setNameRemark(String nameRemark) {
		this.nameRemark = nameRemark;
	}

	public String getEverestEventPoint01() {
		return everestEventPoint01;
	}

	public void setEverestEventPoint01(String everestEventPoint01) {
		this.everestEventPoint01 = everestEventPoint01;
	}

	public String getEverestEventPoint02() {
		return everestEventPoint02;
	}

	public void setEverestEventPoint02(String everestEventPoint02) {
		this.everestEventPoint02 = everestEventPoint02;
	}

	public String getEverestEventPoint03() {
		return everestEventPoint03;
	}

	public void setEverestEventPoint03(String everestEventPoint03) {
		this.everestEventPoint03 = everestEventPoint03;
	}

	public String getEverestEventPoint04() {
		return everestEventPoint04;
	}

	public void setEverestEventPoint04(String everestEventPoint04) {
		this.everestEventPoint04 = everestEventPoint04;
	}

	public String getEverestEventPoint05() {
		return everestEventPoint05;
	}

	public void setEverestEventPoint05(String everestEventPoint05) {
		this.everestEventPoint05 = everestEventPoint05;
	}

	public String getDescription11() {
		return description11;
	}

	public void setDescription11(String description11) {
		this.description11 = description11;
	}

	public String getDescription12() {
		return description12;
	}

	public void setDescription12(String description12) {
		this.description12 = description12;
	}

	public String getDescription13() {
		return description13;
	}

	public void setDescription13(String description13) {
		this.description13 = description13;
	}

	public String getDescription14() {
		return description14;
	}

	public void setDescription14(String description14) {
		this.description14 = description14;
	}

	public String getDescription15() {
		return description15;
	}

	public void setDescription15(String description15) {
		this.description15 = description15;
	}

	public String getProgramId() {
		return programId;
	}

	public void setProgramId(String programId) {
		this.programId = programId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getWorkStationId() {
		return workStationId;
	}

	public void setWorkStationId(String workStationId) {
		this.workStationId = workStationId;
	}

	public String getDateUpdated() {
		return dateUpdated;
	}

	public void setDateUpdated(String dateUpdated) {
		this.dateUpdated = dateUpdated;
	}

	public String getTimeLastUpdated() {
		return timeLastUpdated;
	}

	public void setTimeLastUpdated(String timeLastUpdated) {
		this.timeLastUpdated = timeLastUpdated;
	}

}
